Bug 767264 - fedpkg should bail out when small textual file is being uploaded to lookaside cache
Summary: fedpkg should bail out when small textual file is being uploaded to lookaside...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Nosek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-13 17:00 UTC by Tomas Mraz
Modified: 2020-05-06 00:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-06 00:41:42 UTC
Type: ---


Attachments (Terms of Use)
Proof of the concept patch (1.80 KB, patch)
2011-12-13 17:00 UTC, Tomas Mraz
no flags Details | Diff

Description Tomas Mraz 2011-12-13 17:00:22 UTC
Created attachment 546289 [details]
Proof of the concept patch

There was the recent discussion in FESCo and on fedora-devel mailing list about preventing upload of small textual files to lookaside cache. This should not be prevented ultimately though, so it should be overridable with --force flag.

The attached crude patch achieves that with calling 'file' tool on the file to identify it.

Comment 1 Fedora Admin XMLRPC Client 2012-11-30 18:31:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Ales Raszka 2015-09-07 13:58:06 UTC
Pull-request: https://pagure.io/rpkg/pull-request/13

Comment 3 Mike McCune 2016-03-28 22:27:32 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 4 cqi 2016-08-22 09:12:42 UTC
While releasing a version of fedpkg, got [a feedback from a package maintainer](https://bodhi.fedoraproject.org/updates/fedpkg-1.24-3.fc24#comment-456383), that is he sometimes uses lookaside to manage (large) patches. It could be kind of difficult to know how every packager maintainer uses lookaside to track "small" files other than a tarball.

This change introduced in patch forces not to push a "small" file and raise an error, this would be too noisy to package maintainers if they really use lookaside to manage such files.

Leave this bug open here and to see feedback from more package maintainers.

Comment 5 Fedora Admin XMLRPC Client 2017-02-21 16:44:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Lubomír Sedlář 2017-02-22 11:42:54 UTC
With no feedback in 6 months, is it maybe time to revisit this? Either revive the patch and merge it or close it as WONTFIX.

Comment 7 Ondřej Nosek 2019-04-02 14:02:53 UTC
This issue has been unresolved for more than a year, and is going to be closed within a week if no further action is taken. If you feel this is in error, please contact me.
This is a cleaning process suggested by Jay Greguske. Copy of this ticket was already closed in JIRA tracker.

Comment 8 Fedora Admin XMLRPC Client 2020-03-23 16:43:40 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.